> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.chattermill.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.chattermill.com/_mcp/server.

# Find responses

POST https://api.chattermill.com/v1/{project}/responses/search
Content-Type: application/json

Returns a page of responses matching the criteria, such as an attribute value. Use it to find responses for data erasure requests. To find responses to enrich, poll List responses instead, because a response found here may not be fully processed yet.

Reference: https://apidocs.chattermill.com/api-reference/responses/find-responses

## Authentication

- `Authorization` header (bearer token, required) — Your Chattermill API key, from Settings > API in the Chattermill app.

## Servers

- `https://api.chattermill.com/v1` (Production (EU), default)
- `https://api-us.chattermill.com/v1` (Production (US))

## Request

### Path parameters

- `project` (string, required) — Your project's `key`, from List projects.

### Query parameters

- `page` (integer, optional) — Page number, starting at 1.
- `per_page` (integer, optional) — Results per page. Defaults to 20.

### Body (application/json)

This endpoint expects an object.

- `id` (integer, optional)
- `theme_id` (integer, optional)
- `custom_segment_id` (integer, optional)
- `search_query` (string, optional)
- `user_meta` (ProjectResponsesSearchPostRequestBodyContentApplicationJsonSchemaUserMeta, optional)
- `tag_id` (integer, optional)

## Response

### 200

Response model collection

- `meta` (ProjectResponsesSearchPostResponsesContentApplicationVndApiJsonSchemaMeta, optional)
- `responses` (list of Response, optional)

## Errors

### 401 Unauthorized Error

User not authorized

- `code` (integer, required)
- `message` (string, required)

## Types

### ProjectResponsesSearchPostRequestBodyContentApplicationJsonSchemaUserMeta

- `property` (string, optional)
- `value` (string, optional)

### ProjectResponsesSearchPostResponsesContentApplicationVndApiJsonSchemaMeta

- `value` (integer, optional)
- `relation` (string, optional)

### Response

- `id` (integer, required)
- `score` (integer, optional, nullable)
- `comment` (string, optional, nullable)
- `original_comment` (string, optional, nullable)
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)
- `user_attributes` (ResponseUserAttributes, optional)
- `data_type` (string, optional)
- `data_source` (string, optional)
- `dataset` (string, optional)
- `tags` (list of string, optional)
- `themes` (list of ResponseThemesItems, optional)
- `turn_metrics` (ResponseTurnMetrics, optional)
- `observations` (list of ResponseObservationsItems, optional) — Present only for organizations with observations enabled

### ResponseUserAttributes

### ResponseThemesItems

- `name` (string, optional)
- `parent` (string, optional, nullable)
- `sentiment` (integer, optional)
- `id` (integer, optional)
- `parent_id` (integer, optional, nullable)

### ResponseTurnMetrics

- `time_to_resolution` (double, optional)
- `number_of_replies` (double, optional)
- `average_reply_time` (double, optional)
- `time_to_first_reply` (double, optional)

### ResponseObservationsItems

- `id` (integer, optional)
- `name` (string, optional)
- `type` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "value": 1,
    "relation": "string"
  },
  "responses": [
    {
      "id": 1,
      "score": 1,
      "comment": "string",
      "original_comment": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "user_attributes": {},
      "data_type": "string",
      "data_source": "string",
      "dataset": "string",
      "tags": [
        "string"
      ],
      "themes": [
        {
          "name": "string",
          "parent": "string",
          "sentiment": 1,
          "id": 1,
          "parent_id": 1
        }
      ],
      "turn_metrics": {
        "time_to_resolution": 1.1,
        "number_of_replies": 1.1,
        "average_reply_time": 1.1,
        "time_to_first_reply": 1.1
      },
      "observations": [
        {
          "id": 1,
          "name": "string",
          "type": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.chattermill.com/v1/project/responses/search"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.chattermill.com/v1/project/responses/search';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.chattermill.com/v1/project/responses/search"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.chattermill.com/v1/project/responses/search")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.chattermill.com/v1/project/responses/search")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.chattermill.com/v1/project/responses/search', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.chattermill.com/v1/project/responses/search");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.chattermill.com/v1/project/responses/search")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```